#!/bin/sh
# -*- mode: sh; coding: utf-8 -*-
# Test my-revision-library
# Copyright © 2003 Colin Walters <walters@verbum.org>
#             2004 Canonical Ltd
#
# See the file "COPYING" for further information about
# the copyright and warranty status of this work.

set -e

arg0="$0"
srcdir=`dirname "$arg0"`

. ${srcdir}/test-framework

setup_workdir

test_class "my-revision-library"

begin_test "Setting and deleting my-revision-library."
mkdir './revlib/'
tla my-revision-library './revlib/'
rm -r './revlib/'
tla my-revision-library -d './revlib/'
end_test

begin_test "Setting and deleting my-revision-library from a different directory."
mkdir test
cd test
mkdir './revlib/'
tla my-revision-library './revlib/'
cd ..
tla my-revision-library -d './test/revlib/'
end_test

clean_workdir

